Bug 101199 - Satellite Installation docs improvement - continued
Satellite Installation docs improvement - continued
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clay Murphy
Red Hat Satellite QA List
: Documentation
Depends On:
Blocks: 101195
  Show dependency treegraph
 
Reported: 2003-07-29 20:15 EDT by Clay Murphy
Modified: 2009-08-19 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 17:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clay Murphy 2003-07-29 20:15:17 EDT
Description of problem:
This bug is being created to track the tasks deferred from feature 98103
(Documentation Requirement to enable user install) in the 2.6.0 release:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=98103

In a nutshell, these are the outstanding changes:
   * Address Proxy/Sat. combos in setup (SSL certs.) and use (channels)
   * Attempt to better define the three package repositories and
     management tools, as this will require altering several docs
   * Recommend use of Activation Keys for client registration
   * Provide best practices about creating custom channels for staging
     and developing user groups based upon function, area of expertise,
     etc.
   * Describe Sat. installs over SSH to satsisfy bug 81183
   * Provide recommendations for use of specific custom channels for staging and  
     testing

In addition to the Satellite Installation Guide, these changes will likely
affect the Client Configuration and Channel Management guides. A similar bug
will be created to track Todd's many suggested changes to the Proxy Installation
Guide.
Comment 1 Clay Murphy 2003-07-29 20:18:09 EDT
Here is a cross reference to the Proxy Guide bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=101200
Comment 2 Clay Murphy 2003-08-11 20:12:24 EDT
I've made the following changes:

Satellite Installation Guide

    *  Added Example Topologies chapter containing suggested architectures,
including Proxy-Sat. combinations
    * Added example of rhn.conf


Client Configuration Guide

    * Added a Registering with Activation Keys section to the Client
Applications chapter recommending use of keys
    * Added a Sharing certificates section to the SSLCertificates chapter
explaining how to use a single pair across an organization, including with
Proxy-Sat combos


Channel Management Guide

    * Added recommendation for creating beta channels for staging of new custom
packages
    * Added Tools, Repositories, and Practices section to the Intro describing
the three primary package management tools (such as rhnpush) and the related
repositories. This section also states that custom channels and packages in a
Proxy-Satellite environment must be uploaded only to the Satellite.
    * Added a similar Warning regarding packages in Proxy-Sat combos to the
Uploading chapter

I'm now distributing to Todd for his review.
Comment 3 Clay Murphy 2003-08-14 22:40:25 EDT
Incorporated Todd's input. The docs are in CVS.
Comment 4 Josef Komenda 2003-08-25 11:28:51 EDT
Looks good. 
Comment 5 Josef Komenda 2003-08-25 17:18:35 EDT
Docs looks good in prod. 

Note You need to log in before you can comment on or make changes to this bug.